<bugID>940314<Summary>DOMException in inspectorActor.querySelector</Summary><Description>Once connected to the message app, searching for "#messages-input" remove the red halo (so the node is found), but the node is not selected in the markup view.

adb logcat tells me:

I/Gecko   ( 6048): console.error:
I/Gecko   ( 6048): DOMException
I/Gecko   ( 6048):   - prototype DOMExceptionPrototype
I/Gecko   ( 6048):     - ABORT_ERR = 20
I/Gecko   ( 6048):     - DATA_CLONE_ERR = 25
I/Gecko   ( 6048):     - DOMSTRING_SIZE_ERR = 2
I/Gecko   ( 6048):     - HIERARCHY_REQUEST_ERR = 3
I/Gecko   ( 6048):     - INDEX_SIZE_ERR = 1
I/Gecko   ( 6048):     - INUSE_ATTRIBUTE_ERR = 10
I/Gecko   ( 6048):     - INVALID_ACCESS_ERR = 15
I/Gecko   ( 6048):     - INVALID_CHARACTER_ERR = 5
I/Gecko   ( 6048):     - INVALID_MODIFICATION_ERR = 13
I/Gecko   ( 6048):     - INVALID_NODE_TYPE_ERR = 24
I/Gecko   ( 6048):     - INVALID_STATE_ERR = 11
I/Gecko   ( 6048):     - NAMESPACE_ERR = 14
I/Gecko   ( 6048):     - NETWORK_ERR = 19
I/Gecko   ( 6048):     - NOT_FOUND_ERR = 8
I/Gecko   ( 6048):     - NOT_SUPPORTED_ERR = 9
I/Gecko   ( 6048):     - NO_DATA_ALLOWED_ERR = 6
I/Gecko   ( 6048):     - NO_MODIFICATION_ALLOWED_ERR = 7
I/Gecko   ( 6048):     - QUOTA_EXCEEDED_ERR = 22
I/Gecko   ( 6048):     - SECURITY_ERR = 18
I/Gecko   ( 6048):     - SYNTAX_ERR = 12
I/Gecko   ( 6048):     - TIMEOUT_ERR = 23
I/Gecko   ( 6048):     - TYPE_MISMATCH_ERR = 17
I/Gecko   ( 6048):     - URL_MISMATCH_ERR = 21
I/Gecko   ( 6048):     - VALIDATION_ERR = 16
I/Gecko   ( 6048):     - WRONG_DOCUMENT_ERR = 4
I/Gecko   ( 6048):     - code = 12
I/Gecko   ( 6048):     - columnNumber = 0
I/Gecko   ( 6048):     - data = null
I/Gecko   ( 6048):     - filename = resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/server/actors/inspector.js
I/Gecko   ( 6048):     - inner = null
I/Gecko   ( 6048):     - lineNumber = 1413
I/Gecko   ( 6048):     - location = {"language":2,"languageNa

(it stops here, logcat trunks the output)</Description></bugID>